Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class VirtualFormWithStandardsType

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.refdata.VirtualFormKeyType
          be.fgov.ehealth.dics.protocol.v3.VirtualFormWithStandardsType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T09:02:49+02:00",
               comments="JAXB RI v2.2.11")
    public class VirtualFormWithStandardsType

extends VirtualFormKeyType
implements Serializable

Java class for VirtualFormWithStandardsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="VirtualFormWithStandardsType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v3:refdata}VirtualFormKeyType">
           <sequence>
             <element name="Abbreviation" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType"/>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType"/>
             <element name="Description" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="StandardForm" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultStandardFormType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`VirtualFormWithStandardsType()`

Method Summary
`ConsultTextType` | `getAbbreviation()` Gets the value of the abbreviation property.
`ConsultTextType` | `getDescription()` Gets the value of the description property.
`ConsultTextType` | `getName()` Gets the value of the name property.
`List<ConsultStandardFormType>` | `getStandardForms()` Gets the value of the standardForms property.
`void` | `setAbbreviation(ConsultTextType value)` Sets the value of the abbreviation property.
`void` | `setDescription(ConsultTextType value)` Sets the value of the description property.
`void` | `setName(ConsultTextType value)` Sets the value of the name property.

Methods inherited from class be.fgov.ehealth.dics.core.v3.refdata.VirtualFormKeyType
`getCode, setCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VirtualFormWithStandardsType

    public VirtualFormWithStandardsType()

Method Detail

### getAbbreviation

    public ConsultTextType getAbbreviation()

  Gets the value of the abbreviation property.

  Returns:
    possible object is `ConsultTextType`

### setAbbreviation

    public void setAbbreviation(ConsultTextType value)

  Sets the value of the abbreviation property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getName

    public ConsultTextType getName()

  Gets the value of the name property.

  Returns:
    possible object is `ConsultTextType`

### setName

    public void setName(ConsultTextType value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getDescription

    public ConsultTextType getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `ConsultTextType`

### setDescription

    public void setDescription(ConsultTextType value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getStandardForms

    public List<ConsultStandardFormType> getStandardForms()

  Gets the value of the standardForms property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardForms property.

  For example, to add a new item, do as follows:

          getStandardForms().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultStandardFormType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPODOLOGIST 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.